#!/bin/sh
echo "Eclipse Datatype Editor"
if [ -z "$ECLIPSEFOLDER" ]
then
	echo "ECLIPSEFOLDER set to $HOME/eclipse"
	ECLIPSEFOLDER=$HOME/eclipse
	if [ ! -x $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not executable"
		exit
	elif [ ! -f $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not found"
		exit
	fi
fi
if [ -z "$UPDATEFOLDER" ]
then
	echo "UPDATEFOLDER set to $HOME/tmp/eclipse"
	UPDATEFOLDER=$HOME/tmp/eclipse
fi
if [ ! -d $UPDATEFOLDER/datatype ]
then
	mkdir -p -v $UPDATEFOLDER/datatype
	if [ ! $? -eq 0 ]
	then
		echo "Can't create $UPDATEFOLDER/datatype"
		exit
	fi
fi
echo "Copying into $UPDATEFOLDER/other/datatype"
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.metadata.repository.mirrorApplication -source http://download.eclipse.org/webtools/incubator/repository/sieditor/snapshot -destination file:$UPDATEFOLDER/datatype/
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source http://download.eclipse.org/webtools/incubator/repository/sieditor/snapshot -destination file:$UPDATEFOLDER/datatype/
