#!/bin/sh
echo "Eclipse Lua Development Tools for Eclipse"
if [ -z "$ECLIPSEFOLDER" ]
then
	echo "ECLIPSEFOLDER set to $HOME/eclipse"
	ECLIPSEFOLDER=$HOME/eclipse
	if [ ! -x $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not executable"
		exit
	elif [ ! -f $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not found"
		exit
	fi
fi
if [ -z "$UPDATEFOLDER" ]
then
	echo "UPDATEFOLDER set to $HOME/tmp/eclipse"
	UPDATEFOLDER=$HOME/tmp/eclipse
fi
if [ ! -d $UPDATEFOLDER/stable/lualdt ]
then
	mkdir -p -v $UPDATEFOLDER/stable/lualdt
	if [ ! $? -eq 0 ]
	then
		echo "Can't create $UPDATEFOLDER/stable/lualdt"
		exit
	fi
fi
echo "Copying into $UPDATEFOLDER/stable/lualdt"
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.metadata.repository.mirrorApplication -source http://download.eclipse.org/ldt/releases/stable -destination file:$UPDATEFOLDER/stable/lualdt
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source http://download.eclipse.org/ldt/releases/stable -destination file:$UPDATEFOLDER/stable/lualdt
