#!/bin/sh
echo "Eclipse Model Development Tools UML2 for Eclipse Oxygen"
if [ -z "$ECLIPSEFOLDER" ]
then
	echo "ECLIPSEFOLDER set to $HOME/eclipse"
	ECLIPSEFOLDER=$HOME/eclipse
	if [ ! -x $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not executable"
		exit
	elif [ ! -f $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not found"
		exit
	fi
fi
if [ -z "$UPDATEFOLDER" ]
then
	echo "UPDATEFOLDER set to $HOME/tmp/eclipse"
	UPDATEFOLDER=$HOME/tmp/eclipse
fi
if [ ! -d $UPDATEFOLDER/latest/mdtuml2 ]
then
	mkdir -p -v $UPDATEFOLDER/latest/mdtuml2
	if [ ! $? -eq 0 ]
	then
		echo "Can't create $UPDATEFOLDER/latest/mdtuml2"
		exit
	fi
fi
echo "Copying into $UPDATEFOLDER/latest/mdtuml2"
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.metadata.repository.mirrorApplication -source http://download.eclipse.org/modeling/mdt/uml2/updates/releases/ -destination file:$UPDATEFOLDER/latest/mdtuml2
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source http://download.eclipse.org/modeling/mdt/uml2/updates/releases/ -destination file:$UPDATEFOLDER/latest/mdtuml2
