#!/bin/sh
echo "Eclipse Modeling Tools for Eclipse Oxygen"
if [ -z "$ECLIPSEFOLDER" ]
then
	echo "ECLIPSEFOLDER set to $HOME/eclipse"
	ECLIPSEFOLDER=$HOME/eclipse
	if [ ! -x $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not executable"
		exit
	elif [ ! -f $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not found"
		exit
	fi
fi
if [ -z "$UPDATEFOLDER" ]
then
	echo "UPDATEFOLDER set to $HOME/tmp/eclipse"
	UPDATEFOLDER=$HOME/tmp/eclipse
fi
if [ ! -d $UPDATEFOLDER/oxygen/modeling ]
then
	mkdir -p -v $UPDATEFOLDER/oxygen/modeling
	if [ ! $? -eq 0 ]
	then
		echo "Can't create $UPDATEFOLDER/oxygen/modeling"
		exit
	fi
fi
echo "Copying into $UPDATEFOLDER/oxygen/modeling"
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.metadata.repository.mirrorApplication -source http://www.eclipse.org/modeling/amalgam/downloads/package/modeling/oxygen/ -destination file:$UPDATEFOLDER/oxygen/modeling
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source http://www.eclipse.org/modeling/amalgam/downloads/package/modeling/oxygen/ -destination file:$UPDATEFOLDER/oxygen/modeling
