#!/bin/sh
echo "Parallel Tools Platforms for Eclipse Oxygen"
if [ -z "$ECLIPSEFOLDER" ]
then
	echo "ECLIPSEFOLDER set to $HOME/eclipse"
	ECLIPSEFOLDER=$HOME/eclipse
	if [ ! -x $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not executable"
		exit
	elif [ ! -f $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not found"
		exit
	fi
fi
if [ -z "$UPDATEFOLDER" ]
then
	echo "UPDATEFOLDER set to $HOME/tmp/eclipse"
	UPDATEFOLDER=$HOME/tmp/eclipse
fi
if [ ! -d $UPDATEFOLDER/oxygen/ptp-oxygen ]
then
	mkdir -p -v $UPDATEFOLDER/oxygen/ptp-oxygen
	if [ ! $? -eq 0 ]
	then
		echo "Can't create $UPDATEFOLDER/oxygen/ptp-oxygen"
		exit
	fi
fi
echo "Copying into $UPDATEFOLDER/oxygen/ptp-oxygen"
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.metadata.repository.mirrorApplication -source http://download.eclipse.org/tools/ptp/updates/oxygen -destination file:$UPDATEFOLDER/oxygen/ptp-oxygen
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source http://download.eclipse.org/tools/ptp/updates/oxygen -destination file:$UPDATEFOLDER/oxygen/ptp-oxygen
