#!/bin/sh
echo "Subversive SVN Connector for Eclipse"
if [ -z "$ECLIPSEFOLDER" ]
then
	echo "ECLIPSEFOLDER set to $HOME/eclipse"
	ECLIPSEFOLDER=$HOME/eclipse
	if [ ! -x $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not executable"
		exit
	elif [ ! -f $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not found"
		exit
	fi
fi
if [ -z "$UPDATEFOLDER" ]
then
	echo "UPDATEFOLDER set to $HOME/tmp/eclipse"
	UPDATEFOLDER=$HOME/tmp/eclipse
fi
if [ ! -d $UPDATEFOLDER/other/subversive ]
then
	mkdir -p -v $UPDATEFOLDER/other/subversive
	if [ ! $? -eq 0 ]
	then
		echo "Can't create $UPDATEFOLDER/other/subversive"
		exit
	fi
fi
echo "Copying into $UPDATEFOLDER/other/subversive"
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.metadata.repository.mirrorApplication -source http://download.eclipse.org/technology/subversive/4.0/update-site/ -destination file:$UPDATEFOLDER/other/subversive
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source http://download.eclipse.org/technology/subversive/4.0/update-site/ -destination file:$UPDATEFOLDER/other/subversive
