#!/bin/sh
echo "Trace Compass for Eclipse stable"
if [ -z "$ECLIPSEFOLDER" ]
then
	echo "ECLIPSEFOLDER set to $HOME/eclipse"
	ECLIPSEFOLDER=$HOME/eclipse
	if [ ! -x $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not executable"
		exit
	elif [ ! -f $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not found"
		exit
	fi
fi
if [ -z "$UPDATEFOLDER" ]
then
	echo "UPDATEFOLDER set to $HOME/tmp/eclipse"
	UPDATEFOLDER=$HOME/tmp/eclipse
fi
if [ ! -d $UPDATEFOLDER/other/tracecompass-stable ]
then
	mkdir -p -v $UPDATEFOLDER/other/tracecompass-stable
	if [ ! $? -eq 0 ]
	then
		echo "Can't create $UPDATEFOLDER/other/tracecompass-stable"
		exit
	fi
fi
echo "Copying into $UPDATEFOLDER/other/tracecompass-stable"
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.metadata.repository.mirrorApplication -source http://download.eclipse.org/tracecompass/stable/repository/ -destination file:$UPDATEFOLDER/other/tracecompass-stable
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source http://download.eclipse.org/tracecompass/stable/repository/ -destination file:$UPDATEFOLDER/other/tracecompass-stable
