#!/bin/sh
echo "Visual editor for XML Eclipse - Latest"
if [ -z "$ECLIPSEFOLDER" ]
then
	echo "ECLIPSEFOLDER set to $HOME/eclipse"
	ECLIPSEFOLDER=$HOME/eclipse
	if [ ! -x $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not executable"
		exit
	elif [ ! -f $ECLIPSEFOLDER/eclipse ]
	then
		echo "$ECLIPSEFOLDER/eclipse not found"
		exit
	fi
fi
if [ -z "$UPDATEFOLDER" ]
then
	echo "UPDATEFOLDER set to $HOME/tmp/eclipse"
	UPDATEFOLDER=$HOME/tmp/eclipse
fi
if [ ! -d $UPDATEFOLDER/other/vexml-latest ]
then
	mkdir -p -v $UPDATEFOLDER/other/vexml-latest
	if [ ! $? -eq 0 ]
	then
		echo "Can't create $UPDATEFOLDER/other/vexml-latest"
		exit
	fi
fi
echo "Copying into $UPDATEFOLDER/other/vexml-latest"
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.metadata.repository.mirrorApplication -source http://download.eclipse.org/vex/releases/latest/ -destination file:$UPDATEFOLDER/other/vexml-latest
$ECLIPSEFOLDER/eclipse -nosplash -verbose -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source http://download.eclipse.org/vex/releases/latest/ -destination file:$UPDATEFOLDER/other/vexml-latest
